Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior

From: Juri Linkov <[email-masked]>
Date: Wed, 10 Oct 2012 02:15:05 +0300

>> I suggest to use the same modifiers as used in web browsers:
>> mouse-1 opens in the same window, C-mouse-1 opens in other window
>> (not selected), C-S-mouse-1 opens in other window (and selected),
>
> Does this mean the buffer would appear in two windows?

No, only in one window - in the window where the user wants it to appear.

> On Firefox C-S-mouse-1 behaves just as C-mouse-1 here.

I meant the default settings.  But of course, they should be configurable.

>> S-mouse-1 opens in other frame.
>
> Would we decode this in `find-file' or `dired-find-file'?  IIUC we'd
> have to check
>
> (a) whether the mouse was used at all and, if so, which modifier was
>     applied,
>
> (b) whether the mouse was over a text with a this-window / other-window
>     / other-frame interpretation, and
>
> (c) what any user customizations wrt prefix key and modifiers are in the
>     present context.
>
> `push-button' and `button-activate' do something related.  Could we
> interact with these functions?

This could be processed at the same level where `mouse-1-click-follows-link'
and `mouse-1-click-in-non-selected-windows' are already in effect for
the [follow-link] event.

A more difficult question is how to allow packages to override this default
processing, e.g. allow clicking `C-mouse-1' in Info to clone (fork) the
Info buffer, but `mouse-1' should still visit a link in the same buffer.